Bug 1939160 (CVE-2021-3478) - CVE-2021-3478 OpenEXR: Out-of-memory in ScanLineInputFile
Summary: CVE-2021-3478 OpenEXR: Out-of-memory in ScanLineInputFile
Keywords:
Status: NEW
Alias: CVE-2021-3478
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1939190 1944795 1944797 1944794 1944796
Blocks: 1929339 1944841
TreeView+ depends on / blocked
 
Reported: 2021-03-15 17:27 UTC by Michael Kaplan
Modified: 2021-04-23 01:49 UTC (History)
6 users (show)

Fixed In Version: OpenEXR 3.0.0-beta
Doc Type: If docs needed, set a value
Doc Text:
There's a flaw in OpenEXR's scanline input file functionality. An attacker able to submit a crafted file to be processed by OpenEXR could consume excessive system memory. The greatest impact of this flaw is to system availability.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Michael Kaplan 2021-03-15 17:27:49 UTC
Out-of-memory in openexr_exrcheck_fuzzer

Comment 1 Michael Kaplan 2021-03-15 17:27:54 UTC
External References:

https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=27409

Comment 2 Michael Kaplan 2021-03-15 17:46:03 UTC
Created OpenEXR tracking bugs for this issue:

Affects: fedora-all [bug 1939190]

Comment 3 Todd Cullum 2021-03-30 16:49:38 UTC
This looks like the upstream patch commit: https://github.com/AcademySoftwareFoundation/openexr/commit/bc88cdb6c97fbf5bc5d11ad8ca55306da931283a

Flaw summary:

In ImfScanLineInputFile.cpp, large lineOffset and bytesPerLine tables could cause OpenEXR to allocate excessive memory, causing an impact to system availability. This was due to _data->linesInBuffer missing in the if check.

Comment 6 Cary Phillips 2021-04-23 01:49:56 UTC
This is fixed in OpenEXR v2.5.4, v2.5.5, and v3.0.1 and beyond.


Note You need to log in before you can comment on or make changes to this bug.